Package org.sunflow

# Class PluginRegistry

java.lang.Object
org.sunflow.PluginRegistry

public final class PluginRegistry extends Object
This class acts as the central repository for all user extensible types in Sunflow, even built-in types are registered here. This class is static so that new plugins may be reused by an application across several render scenes.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Plugins<AccelerationStructure>`
`accelPlugins`
`static final Plugins<BitmapReader>`
`bitmapReaderPlugins`
`static final Plugins<BitmapWriter>`
`bitmapWriterPlugins`
`static final Plugins<BucketOrder>`
`bucketOrderPlugins`
`static final Plugins<CameraLens>`
`cameraLensPlugins`
`static final Plugins<CausticPhotonMapInterface>`
`causticPhotonMapPlugins`
`static final Plugins<Filter>`
`filterPlugins`
`static final Plugins<GIEngine>`
`giEnginePlugins`
`static final Plugins<GlobalPhotonMapInterface>`
`globalPhotonMapPlugins`
`static final Plugins<ImageSampler>`
`imageSamplerPlugins`
`static final Plugins<LightSource>`
`lightSourcePlugins`
`static final Plugins<Modifier>`
`modifierPlugins`
`static final Plugins<SceneParser>`
`parserPlugins`
`static final Plugins<PrimitiveList>`
`primitivePlugins`
`static final Plugins<Shader>`
`shaderPlugins`
`static final Plugins<Tesselatable>`
`tesselatablePlugins`

## Constructor Summary

Constructors
Constructor
Description
`PluginRegistry()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### primitivePlugins

public static final Plugins<PrimitiveList> primitivePlugins

### tesselatablePlugins

public static final Plugins<Tesselatable> tesselatablePlugins

### shaderPlugins

public static final Plugins<Shader> shaderPlugins

### modifierPlugins

public static final Plugins<Modifier> modifierPlugins

### lightSourcePlugins

public static final Plugins<LightSource> lightSourcePlugins

### cameraLensPlugins

public static final Plugins<CameraLens> cameraLensPlugins

### accelPlugins

public static final Plugins<AccelerationStructure> accelPlugins

### bucketOrderPlugins

public static final Plugins<BucketOrder> bucketOrderPlugins

### filterPlugins

public static final Plugins<Filter> filterPlugins

### giEnginePlugins

public static final Plugins<GIEngine> giEnginePlugins

### causticPhotonMapPlugins

public static final Plugins<CausticPhotonMapInterface> causticPhotonMapPlugins

### globalPhotonMapPlugins

public static final Plugins<GlobalPhotonMapInterface> globalPhotonMapPlugins

### imageSamplerPlugins

public static final Plugins<ImageSampler> imageSamplerPlugins

### parserPlugins

public static final Plugins<SceneParser> parserPlugins

### bitmapReaderPlugins

public static final Plugins<BitmapReader> bitmapReaderPlugins

### bitmapWriterPlugins

public static final Plugins<BitmapWriter> bitmapWriterPlugins

## Constructor Details

### PluginRegistry

public PluginRegistry()